xmonad-contrib-0.13: Third party extensions for xmonad

Copyright | (c) 2007 Andrea Rossato 2010 Alejandro Serrano
License | BSD-style (see xmonad/LICENSE)
Maintainer | andrea.rossato@unibz.it
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell98

XMonad.Util.XUtils

Contents

- Usage:

Description

A module for painting on the screen

Synopsis

- averagePixels :: Pixel -> Pixel -> Double -> X Pixel
- createNewWindow :: Rectangle -> Maybe EventMask -> String -> Bool -> X Window
- showWindow :: Window -> X ()
- showWindows :: [Window] -> X ()
- hideWindow :: Window -> X ()
- hideWindows :: [Window] -> X ()
- deleteWindow :: Window -> X ()
- deleteWindows :: [Window] -> X ()
- paintWindow :: Window -> Dimension -> Dimension -> Dimension -> String -> String -> X ()
- paintAndWrite :: Window -> XMonadFont -> Dimension -> Dimension -> Dimension -> String -> String -> String -> String -> [Align] -> [String] -> X ()
- paintTextAndIcons :: Window -> XMonadFont -> Dimension -> Dimension -> Dimension -> String -> String -> String -> String -> [Align] -> [String] -> [Placement] -> [[[Bool]]] -> X ()
- stringToPixel :: (Functor m, MonadIO m) => Display -> String -> m Pixel
- pixelToString :: MonadIO m => Display -> Pixel -> m String
- fi :: (Integral a, Num b) => a -> b

# Usage:

See XMonad.Layout.Tabbed or XMonad.Layout.DragPane or XMonad.Layout.Decoration for usage examples

averagePixels :: Pixel -> Pixel -> Double -> X Pixel #

Compute the weighted average the colors of two given Pixel values.

createNewWindow :: Rectangle -> Maybe EventMask -> String -> Bool -> X Window #

Create a simple window given a rectangle. If Nothing is given only the exposureMask will be set, otherwise the Just value. Use `showWindow` to map and hideWindow to unmap.

showWindow :: Window -> X () #

Map a window

showWindows :: [Window] -> X () #

the list version

hideWindow :: Window -> X () #

unmap a window

hideWindows :: [Window] -> X () #

the list version

deleteWindow :: Window -> X () #

destroy a window

deleteWindows :: [Window] -> X () #

the list version

paintWindow #

Arguments

:: Window | The window where to draw
-> Dimension | Window width
-> Dimension | Window height
-> Dimension | Border width
-> String | Window background color
-> String | Border color
-> X () |

Fill a window with a rectangle and a border

paintAndWrite #

Arguments

:: Window | The window where to draw
-> XMonadFont | XMonad Font for drawing
-> Dimension | Window width
-> Dimension | Window height
-> Dimension | Border width
-> String | Window background color
-> String | Border color
-> String | String color
-> String | String background color
-> [Align] | String `Align`ments
-> [String] | Strings to be printed
-> X () |

Fill a window with a rectangle and a border, and write | a number of strings to given positions

paintTextAndIcons #

Arguments

:: Window | The window where to draw
-> XMonadFont | XMonad Font for drawing
-> Dimension | Window width
-> Dimension | Window height
-> Dimension | Border width
-> String | Window background color
-> String | Border color
-> String | String color
-> String | String background color
-> [Align] | String `Align`ments
-> [String] | Strings to be printed
-> [Placement] | Icon `Placements`
-> [[[Bool]]] | Icons to be printed
-> X () |

Fill a window with a rectangle and a border, and write | a number of strings and a number of icons to given positions

stringToPixel :: (Functor m, MonadIO m) => Display -> String -> m Pixel #

Get the Pixel value for a named color: if an invalid name is given the black pixel will be returned.

pixelToString :: MonadIO m => Display -> Pixel -> m String #

Convert a `Pixel` into a `String`.

fi :: (Integral a, Num b) => a -> b #

Short-hand for `fromIntegral`